import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.media.j3d.*;
import javax.vecmath.*;

// change this import to your classname.
import MyInterface;

public class CS488Behavior extends Behavior {

  public CS488Behavior() {
  }

  public void initialize() {
    wakeupOn (new WakeupOnAWTEvent(MouseEvent.MOUSE_PRESSED));
  }

  public void processStimulus (Enumeration criteria) {
    WakeupCriterion wakeup;
    AWTEvent[] event;
    int eventId;

    while (criteria.hasMoreElements()) {
      wakeup = (WakeupCriterion) criteria.nextElement();
      if (wakeup instanceof WakeupOnAWTEvent) {
	event = ((WakeupOnAWTEvent)wakeup).getAWTEvent();
	for (int i=0; i<event.length; i++) {
	  eventId = event[i].getID();
	  if (eventId == MouseEvent.MOUSE_PRESSED) {
	    int x = ((MouseEvent)event[i]).getX();
	    int y = ((MouseEvent)event[i]).getY();
              // create a new instance of your interface here.
              MyInterface mi = new MyInterface();
              mi.setVisible(true);
              mi.setSize(500,500);
              mi.show();
	  }
	}
      }
    wakeupOn (new WakeupOnAWTEvent(MouseEvent.MOUSE_PRESSED));
    }
  }
}
