import java.util.*;
import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.net.*;
import javax.media.j3d.*;
import com.sun.j3d.utils.universe.*;
import javax.vecmath.*;
import com.sun.j3d.utils.behaviors.keyboard.*;
import com.sun.j3d.utils.picking.PickTool;
import vrml.*;
import com.sun.j3d.loaders.vrml97.*;
import java.io.FileNotFoundException;

public class GumiObject extends BranchGroup {
	public final static int OBJECT      = 0;
	public final static int ROOM        = 1;
	public final static int EXIT        = 2;
	public final static int PLAYER      = 3;
	public final static int INST        = 4;

	protected String m_obj = "-9999";
	protected String m_name = "none";
	protected String m_location = null;
	protected String m_parentobj = null;

	protected String m_desc = null;
	protected int m_owner = 0;
	protected String m_coords = "new";
	protected int m_type = 0;

	protected GumiObject m_selected_object;

	protected String m_base = null;
	protected String m_detail = null;
	protected String m_sound = null;
	protected String m_server_path = null;
	protected String m_sound_prefix = null;
	protected String m_base_prefix = null;
	protected String m_detail_prefix = null;

	protected int m_base_index = 0;
	protected int m_detail_index = 0;

	protected AudioClip m_soundclip = null;
	protected int	 m_sound_index = 0;

	protected double m_real_x = 0,m_real_y = 0, m_real_z = 0;

	protected boolean m_changed = false;

        protected TransformGroup m_transformGroup = null;

	GumiObject(){}

	public void setType(int type) {
		m_type = type;
	}

	public int getObjID() {
		return Integer.parseInt(m_obj);
	}

	public String getObj(){
		return m_obj;
	}

	public String getObjName(){
		return m_name;
	}

	public String getName(){
		return m_name;
	}

	public String getMouseOverText() {
			return m_name;
	}

	public void setObj(String s) {
		m_obj = s;
	}
	public void setObjName(String s) {
		m_name = s;
	}

	public int getObjOwner() {
		return m_owner;
	}


	public String getObjImageURL() {
		return m_base;
	}


	public String getObjDetailURL() {
		return m_detail;
	}


	public String getObjSoundURL() {
		return m_sound;
	}


	public String getObjServerURL() {
		return m_server_path;
	}

	public String getObjImagePrefix() {
		return m_base_prefix;
	}

	public String getObjDetailPrefix() {
		return m_detail_prefix;
	}

	public String getObjSoundPrefix() {
		return m_sound_prefix;
	}




}

