
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * Title:        Gumi3D
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      NDSU
 * @author John Bauer
 * @version 1.0
 */

public class MyInterface extends JFrame {
  BorderLayout borderLayout1 = new BorderLayout();
  JPanel myPanel = new JPanel();
  JPanel propPanel = new JPanel();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JLabel lblZcoord = new JLabel();
  JTextField fldZcoord = new JTextField();
  JTextField fldYcoord = new JTextField();
  JLabel lblYcoord = new JLabel();
  JTextField fldXcoord = new JTextField();
  JLabel lblXcoord = new JLabel();
  JLabel lblVRML = new JLabel();
  JTextField fldVRML = new JTextField();
  JLabel lblXorient = new JLabel();
  JTextField fldXorient = new JTextField();
  JLabel lblYorient = new JLabel();
  JTextField fldYorient = new JTextField();
  JLabel lblZorient = new JLabel();
  JTextField fldZorient = new JTextField();
  JLabel jLabel1 = new JLabel();
  JTextField jTextField1 = new JTextField();
  BorderLayout borderLayout2 = new BorderLayout();
  JTextArea myTextArea = new JTextArea();
  JPanel jPanel1 = new JPanel();
  JButton jButton1 = new JButton();
  JButton jButton2 = new JButton();
  JButton jButton3 = new JButton();
  JButton jButton4 = new JButton();
  JButton jButton5 = new JButton();

  public MyInterface() {
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  private void jbInit() throws Exception {
    this.getContentPane().setLayout(borderLayout1);
    myPanel.setBorder(BorderFactory.createEtchedBorder());
    myPanel.setMinimumSize(new Dimension(200, 200));
    myPanel.setPreferredSize(new Dimension(200, 200));
    myPanel.setLayout(borderLayout2);
    propPanel.setBorder(BorderFactory.createLineBorder(Color.black));
    propPanel.setMinimumSize(new Dimension(10, 200));
    propPanel.setPreferredSize(new Dimension(200, 100));
    propPanel.setLayout(gridBagLayout1);
    lblZcoord.setHorizontalAlignment(SwingConstants.RIGHT);
    lblZcoord.setText("Z Coord:");
    fldZcoord.setPreferredSize(new Dimension(80, 21));
    fldYcoord.setPreferredSize(new Dimension(80, 21));
    lblYcoord.setHorizontalAlignment(SwingConstants.RIGHT);
    lblYcoord.setText("Y Coord:");
    fldXcoord.setPreferredSize(new Dimension(80, 21));
    lblXcoord.setHorizontalAlignment(SwingConstants.RIGHT);
    lblXcoord.setText("X Coord:");
    lblVRML.setHorizontalAlignment(SwingConstants.RIGHT);
    lblVRML.setText("VRML Location:");
    lblXorient.setHorizontalAlignment(SwingConstants.RIGHT);
    lblXorient.setText("X Orient:");
    lblYorient.setHorizontalAlignment(SwingConstants.RIGHT);
    lblYorient.setText("Y Orient:");
    lblZorient.setHorizontalAlignment(SwingConstants.RIGHT);
    lblZorient.setText("Z Orient:");
    fldVRML.setHorizontalAlignment(SwingConstants.LEFT);
    jLabel1.setHorizontalAlignment(SwingConstants.RIGHT);
    jLabel1.setText("Class Name:");
    myTextArea.setPreferredSize(new Dimension(70, 200));
    jPanel1.setPreferredSize(new Dimension(10, 40));
    jButton1.setText("jButton1");
    jButton1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton1_actionPerformed(e);
      }
    });
    jButton2.setText("jButton2");
    jButton3.setText("jButton3");
    jButton4.setText("jButton4");
    jButton5.setText("jButton5");
    this.getContentPane().add(myPanel, BorderLayout.CENTER);
    myPanel.add(myTextArea, BorderLayout.SOUTH);
    myPanel.add(jPanel1, BorderLayout.NORTH);
    jPanel1.add(jButton1, null);
    jPanel1.add(jButton2, null);
    jPanel1.add(jButton3, null);
    jPanel1.add(jButton4, null);
    jPanel1.add(jButton5, null);
    this.getContentPane().add(propPanel, BorderLayout.SOUTH);
    propPanel.add(lblYcoord, new GridBagConstraints(2, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 20, 0));
    propPanel.add(fldYcoord, new GridBagConstraints(3, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(lblZcoord, new GridBagConstraints(4, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 20, 0));
    propPanel.add(fldZcoord, new GridBagConstraints(5, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(lblXcoord, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 20, 0));
    propPanel.add(lblVRML, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 5, 0));
    propPanel.add(fldVRML, new GridBagConstraints(1, 2, 5, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(lblXorient, new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(fldXcoord, new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(fldXorient, new GridBagConstraints(1, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(lblYorient, new GridBagConstraints(2, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(fldYorient, new GridBagConstraints(3, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(lblZorient, new GridBagConstraints(4, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(fldZorient, new GridBagConstraints(5, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(jLabel1, new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    propPanel.add(jTextField1, new GridBagConstraints(1, 3, 5, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
  }

  void jButton1_actionPerformed(ActionEvent e) {
    myTextArea.setText("jbutton1");
  }
}
